package com.bocloud.cmp.model;

import java.util.List;

public class DataStoreModel {
    private String name;// 存储名称
    private String type;// 存储类型
    private String path;// 存储路径
    private Double capacity;// 容量大小
    private Double freeSpace;// 可用容量
    private Integer hostNum;// 存储下管理主机数量
    private Integer vmNum;// 存储下管理虚拟机数量
    private Integer templateNum;// 存储下模板的数量
    private String storeVal;
    private String status;
    private List<ImageModel> images;
    private List<DataStoreFileModel> files; // 数据中心里的文件
    private String hostName;// 主机名称
    private String accessMode;
    private String remoteHost;// 服务器
    private String remotePath;// 服务器文件夹路径
    private String scId;
    private String userName;
    private String password;
    private String remoteHostNames;
    private String vdcName;
    private Long hostId;
    private ClusterModel cluster;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @param path the path to set
     */
    public void setPath(String path) {
        this.path = path;
    }

    /**
     * @return the capacity
     */
    public Double getCapacity() {
        return capacity;
    }

    /**
     * @param capacity the capacity to set
     */
    public void setCapacity(Double capacity) {
        this.capacity = capacity;
    }

    /**
     * @return the freeSpace
     */
    public Double getFreeSpace() {
        return freeSpace;
    }

    /**
     * @param freeSpace the freeSpace to set
     */
    public void setFreeSpace(Double freeSpace) {
        this.freeSpace = freeSpace;
    }

    /**
     * @return the hostNum
     */
    public Integer getHostNum() {
        return hostNum;
    }

    /**
     * @param hostNum the hostNum to set
     */
    public void setHostNum(Integer hostNum) {
        this.hostNum = hostNum;
    }

    /**
     * @return the vmNum
     */
    public Integer getVmNum() {
        return vmNum;
    }

    /**
     * @param vmNum the vmNum to set
     */
    public void setVmNum(Integer vmNum) {
        this.vmNum = vmNum;
    }

    /**
     * @return the templateNum
     */
    public Integer getTemplateNum() {
        return templateNum;
    }

    /**
     * @param templateNum the templateNum to set
     */
    public void setTemplateNum(Integer templateNum) {
        this.templateNum = templateNum;
    }

    /**
     * @return the storeVal
     */
    public String getStoreVal() {
        return storeVal;
    }

    /**
     * @param storeVal the storeVal to set
     */
    public void setStoreVal(String storeVal) {
        this.storeVal = storeVal;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the images
     */
    public List<ImageModel> getImages() {
        return images;
    }

    /**
     * @param images the images to set
     */
    public void setImages(List<ImageModel> images) {
        this.images = images;
    }

    /**
     * @return the hostName
     */
    public String getHostName() {
        return hostName;
    }

    /**
     * @param hostName the hostName to set
     */
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    /**
     * @return the accessMode
     */
    public String getAccessMode() {
        return accessMode;
    }

    /**
     * @param accessMode the accessMode to set
     */
    public void setAccessMode(String accessMode) {
        this.accessMode = accessMode;
    }

    /**
     * @return the remoteHost
     */
    public String getRemoteHost() {
        return remoteHost;
    }

    /**
     * @param remoteHost the remoteHost to set
     */
    public void setRemoteHost(String remoteHost) {
        this.remoteHost = remoteHost;
    }

    /**
     * @return the remotePath
     */
    public String getRemotePath() {
        return remotePath;
    }

    /**
     * @param remotePath the remotePath to set
     */
    public void setRemotePath(String remotePath) {
        this.remotePath = remotePath;
    }

    /**
     * @return the scId
     */
    public String getScId() {
        return scId;
    }

    /**
     * @param scId the scId to set
     */
    public void setScId(String scId) {
        this.scId = scId;
    }

    /**
     * @return the userName
     */
    public String getUserName() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the remoteHostNames
     */
    public String getRemoteHostNames() {
        return remoteHostNames;
    }

    /**
     * @param remoteHostNames the remoteHostNames to set
     */
    public void setRemoteHostNames(String remoteHostNames) {
        this.remoteHostNames = remoteHostNames;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @param name
     * @param type
     * @param path
     * @param spaceTotal
     * @param spaceUsed
     */
    public DataStoreModel(String name, String type, String path, Double capacity, Double freeSpace, Integer hostNum,
                          Integer vmNum, Integer templateNum, String storeVal) {
        this.name = name;
        this.type = type;
        this.path = path;
        this.capacity = capacity;
        this.freeSpace = freeSpace;
        this.hostNum = hostNum;
        this.vmNum = vmNum;
        this.templateNum = templateNum;
        this.storeVal = storeVal;
    }

    /**
     *
     */
    public DataStoreModel() {
        super();
    }

    public List<DataStoreFileModel> getFiles() {
        return files;
    }

    public void setFiles(List<DataStoreFileModel> files) {
        this.files = files;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public ClusterModel getCluster() {
        return cluster;
    }

    public void setCluster(ClusterModel cluster) {
        this.cluster = cluster;
    }
}
